RDKit: RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter Struct Reference

`#include <ROMol.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | difference_type = std::ptrdiff_t
using | value_type = Edge
using | pointer = Edge *
using | reference = Edge &

## Public Member Functions
| CXXBondIter (Graph *graph, Iterator pos)
reference | operator* ()
CXXBondIter & | operator++ ()
bool | operator== (const CXXBondIter &it) const
bool | operator!= (const CXXBondIter &it) const

## Public Attributes
Graph * | graph
Iterator | pos
Bond * | current

## Detailed Description

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>
struct RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter

Definition at line 162 of file ROMol.h.

## Member Typedef Documentation

## ◆ difference_type

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::difference_type = std::ptrdiff_t

Definition at line 164 of file ROMol.h.

## ◆ iterator_category

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::iterator_category = std::forward_iterator_tag

Definition at line 163 of file ROMol.h.

## ◆ pointer

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::pointer = Edge *

Definition at line 166 of file ROMol.h.

## ◆ reference

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::reference = Edge &

Definition at line 167 of file ROMol.h.

## ◆ value_type

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::value_type = Edge

Definition at line 165 of file ROMol.h.

## Constructor & Destructor Documentation

## ◆ CXXBondIter()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::CXXBondIter | ( | Graph * | graph,
|  | Iterator | pos )
| inline

Definition at line 173 of file ROMol.h.

References current, graph, and pos.

Referenced by operator!=(), operator++(), and operator==().

## Member Function Documentation

## ◆ operator!=()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

bool RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator!= | ( | const CXXBondIter & | it | ) | const
| inline

Definition at line 185 of file ROMol.h.

References CXXBondIter(), and pos.

## ◆ operator*()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

reference RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator* | ( |  | ) |
| inline

Definition at line 176 of file ROMol.h.

References current, and pos.

## ◆ operator++()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter & RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator++ | ( |  | ) |
| inline

Definition at line 180 of file ROMol.h.

References CXXBondIter(), and pos.

## ◆ operator==()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

bool RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator== | ( | const CXXBondIter & | it | ) | const
| inline

Definition at line 184 of file ROMol.h.

References CXXBondIter(), and pos.

## Member Data Documentation

## ◆ current

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Bond* RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::current

Definition at line 171 of file ROMol.h.

Referenced by CXXBondIter(), and operator*().

## ◆ graph

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Graph* RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::graph

Definition at line 169 of file ROMol.h.

Referenced by CXXBondIter().

## ◆ pos

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Iterator RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::pos

Definition at line 170 of file ROMol.h.

Referenced by CXXBondIter(), operator!=(), operator*(), operator++(), and operator==().

The documentation for this struct was generated from the following file:

- ROMol.h